Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Halide::Internal::WasmModule Struct Reference

Handle to compiled wasm code which can be called later. More...

`#include <WasmExecutor.h>`

## Public Member Functions
int | run (const void *const *args)
| Run generated previously compiled wasm code with a set of arguments.

## Static Public Member Functions
static bool | can_jit_target (const Target &target)
| If the given target can be executed via the wasm executor, return true.
static WasmModule | compile (const Module &module, const std::vector< Argument > &arguments, const std::string &fn_name, const std::map< std::string, JITExtern > &externs, const std::vector< JITModule > &extern_deps)
| Compile generated wasm code with a set of externs.

## Public Attributes
Internal::IntrusivePtr< WasmModuleContents > | contents

## Detailed Description

Handle to compiled wasm code which can be called later.

Definition at line 32 of file WasmExecutor.h.

## Member Function Documentation

## ◆ can_jit_target()

static bool Halide::Internal::WasmModule::can_jit_target | ( | const Target & | target | ) |
| static

If the given target can be executed via the wasm executor, return true.

Referenced by Halide::SimdOpCheckTest::can_run_code().

## ◆ compile()

static WasmModule Halide::Internal::WasmModule::compile | ( | const Module & | module,
|  | const std::vector< Argument > & | arguments,
|  | const std::string & | fn_name,
|  | const std::map< std::string, JITExtern > & | externs,
|  | const std::vector< JITModule > & | extern_deps
| ) |  |
| static

Compile generated wasm code with a set of externs.

## ◆ run()

int Halide::Internal::WasmModule::run | ( | const void *const * | args | ) |

Run generated previously compiled wasm code with a set of arguments.

## Member Data Documentation

## ◆ contents

Internal::IntrusivePtr<WasmModuleContents> Halide::Internal::WasmModule::contents

Definition at line 33 of file WasmExecutor.h.

The documentation for this struct was generated from the following file:

- src/WasmExecutor.h